Endpoints
Attach a TikTok Post URL
Save the final TikTok post URL after a manual TikTok upload is complete.
POST
/
api
/
v1
/
jobs
/
{id}
/
tiktok
/
post-url
Attach the final TikTok post URL
curl --request POST \
--url https://mallary.ai/api/v1/jobs/{id}/tiktok/post-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"post_url": "<string>"
}
'import requests
url = "https://mallary.ai/api/v1/jobs/{id}/tiktok/post-url"
payload = { "post_url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({post_url: '<string>'})
};
fetch('https://mallary.ai/api/v1/jobs/{id}/tiktok/post-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mallary.ai/api/v1/jobs/{id}/tiktok/post-url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'post_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mallary.ai/api/v1/jobs/{id}/tiktok/post-url"
payload := strings.NewReader("{\n \"post_url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://mallary.ai/api/v1/jobs/{id}/tiktok/post-url")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"post_url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mallary.ai/api/v1/jobs/{id}/tiktok/post-url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"post_url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "ok",
"data": {
"job_id": 123,
"platform": "tiktok",
"platform_post_id": "<string>",
"platform_post_url": "<string>",
"analytics_refresh": "queued"
}
}Use this endpoint only when a TikTok publishing job asks the creator to finish the upload in TikTok.
Send the job ID from
POST /api/v1/post and the final public TikTok video or photo URL. Mallary saves the TikTok post ID and URL, marks the job complete, and queues an analytics refresh.
Accepted URLs include:
https://www.tiktok.com/@handle/video/1234567890https://www.tiktok.com/@handle/photo/1234567890
Last modified on August 9, 2026
Was this page helpful?
Attach the final TikTok post URL
curl --request POST \
--url https://mallary.ai/api/v1/jobs/{id}/tiktok/post-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"post_url": "<string>"
}
'import requests
url = "https://mallary.ai/api/v1/jobs/{id}/tiktok/post-url"
payload = { "post_url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({post_url: '<string>'})
};
fetch('https://mallary.ai/api/v1/jobs/{id}/tiktok/post-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mallary.ai/api/v1/jobs/{id}/tiktok/post-url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'post_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mallary.ai/api/v1/jobs/{id}/tiktok/post-url"
payload := strings.NewReader("{\n \"post_url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://mallary.ai/api/v1/jobs/{id}/tiktok/post-url")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"post_url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mallary.ai/api/v1/jobs/{id}/tiktok/post-url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"post_url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "ok",
"data": {
"job_id": 123,
"platform": "tiktok",
"platform_post_id": "<string>",
"platform_post_url": "<string>",
"analytics_refresh": "queued"
}
}
